python-llfuse (1.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + python3-llfuse: Drop versioned constraint on borgbackup in Breaks.
    + Remove 1 maintscript entries from 1 files.

  [ Nicholas D Steeves ]
  * New upstream release: 1.4.1+dfsg.
  * Rebase patch queue onto this release:
    - Drop 0006-Use-fixtures-instead-of-hooks-for-inspecting-output.patch
    - Drop 0007-Register-custom-markers.patch
    + Both patches are already part of the upstream release.
  * Add copyright info for this new file: test/test_rounding.py.
  * Rules: Initiate dbgsym migration.
  * Update my email address and copyright years.

 -- Nicholas D Steeves <sten@debian.org>  Fri, 17 Sep 2021 18:34:34 -0400

python-llfuse (1.3.8+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Migrate to debhelper-compat 13.
  * Assert Rules-Requires-Root: no.
  * Fix issues with copyright file, including: incorrect date ranges,
    missing section for examples/* with non-LGPL-2+ license, missing
    section for copyright holders for src/darwin_compat*,
    missing section for test/pytest_checklogs.py which appears to have been
    copied/reused from another project.  This checkogs.py file is also
    GPL-3+.  Add missing GPL-3+ text.
  * copyright: Create debian/* section, and add myself to it.
  * Drop override_dh_auto_clean, which contains multiple bugs that
    result in FTBFS with compat 13.
  * Rewrite source/options to ignore .egg-info/* and test/pytest_cache/*
    rather than *.pyc files.
  * Create debian/clean to remove egg-info and llfuse.cpython*.so.
  * Remove doc/ using debian/clean.
  * Drop use-local-intersphinx-inventory.patch.
  * Drop custom update_intersphinx rules target.
  * Drop custom build_sphinx rules target.
  * Build sphinxdocs in the standard way.
  * Declare Standards-Version: 4.5.1
    - Drop custom "uscan" target from rules; and add "debian uupdate" to
      watch--to preserve the intended functionality; this target goes against
      the spirit of the 'get-orig-source' target removal in Policy 4.1.4.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 21 Jan 2021 17:05:23 -0500

python-llfuse (1.3.8+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop custom source compression, custom source compression level.
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove unnecessary get-orig-source-target.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + python3-llfuse: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address

  [ Nicholas D Steeves ]
  * Migrate from deprecated binary keyring upstream-signing-key.pgp to
    signing-key.asc.
  * Reimport new minimised upstream key, because signing-key.asc is invalid.
  * Migrate to watch file version 4, and fix all outstanding issues that were
    preventing its correct operation.  In effect, a total rewrite that now
    uses pypi.debian.net.
  * Create gbp.conf; Debian Python Team necessitates the use of pristine-tar,
    this should not be globally enabled in ~/.gbp.conf, and including this
    config in the repo prevents mistakes like forgetting to add
    "--pristine-tar" to the "gbp import-orig" command.
  * New upstream release 1.3.8+dfsg.
  * Rebase quilt series onto this release.
  * Cherry pick commits from upstream, which correspond to
    0006-Use-fixtures-instead-of-hooks-for-inspecting-output.patch and
    0007-Register-custom-markers.patch, and which fixes the FTBFS due to
    pytest 6 (Closes: #979297).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 20 Jan 2021 16:44:42 +0100

python-llfuse (1.3.6+dfsg-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937896

 -- Sandro Tosi <morph@debian.org>  Wed, 06 Nov 2019 22:34:54 -0500

python-llfuse (1.3.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 14 Feb 2019 13:00:32 +0000

python-llfuse (1.3.5+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Nikolaus Rath ]
  * python3-llfuse-dbg: recommend python3-dbg, not python-dbg. Closes:
    #906080.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 30 Aug 2018 20:24:40 +0200

python-llfuse (1.3.3+dfsg-4) unstable; urgency=medium

  [ Nikolaus Rath ]
  * Do not modify proxy settings in integration tests, this change was
    actually meant for a different package.

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Nikolaus Rath ]
  * Drop -Werror=conversion, causes build failure with new Cython
    (or maybe new GCC?)

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 02 Jul 2018 16:59:10 +0100

python-llfuse (1.3.3+dfsg-3) unstable; urgency=medium

  * Get rid of python-catchlog dependency for integration tests
    as well. Closes: #894716.
  * Disable proxy in integration tests.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 04 Apr 2018 09:47:38 +0100

python-llfuse (1.3.3+dfsg-2) unstable; urgency=medium

  * Fully drop pytest-catchlog dependency (previous upload only dropped
    dependency for Python 3 by accident). Closes: #894716.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 03 Apr 2018 21:19:02 +0100

python-llfuse (1.3.3+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces

  [ Nikolaus Rath ]
  * New upstream release.
  * Dropped pytest-catchlog dependency, depend on py.test 3.3
    instead. Closes: #892616.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 31 Mar 2018 12:51:40 +0100

python-llfuse (1.3.2+dfsg-2) unstable; urgency=medium

  * Fixed up patches/mips_dev_t.diff (missing file)

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 13 Nov 2017 14:03:03 +0000

python-llfuse (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * Don't apply dev_t fix to mips64 (just mips and mipsel).
    Closes: #877500

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 13 Nov 2017 12:51:16 +0000

python-llfuse (1.3+dfsg-3) unstable; urgency=medium

  * Updated standards version to 4.1.1
  * Added support for 'nodoc' in DEB_BUILD_OPTIONS.
  * python-llfuse-doc is now Multi-Arch: foreign
  * Fixed mips_dev_t.diff one more time. One mips, dev_t is unsigned
    and we have to apply the match for mips, not just mips64.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 01 Oct 2017 15:21:45 +0100

python-llfuse (1.3+dfsg-2) unstable; urgency=medium

  * Fix build for mips

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 15 Sep 2017 14:58:36 +0100

python-llfuse (1.3+dfsg-1) unstable; urgency=medium

  * new upstream release

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 15 Sep 2017 11:30:10 +0100

python-llfuse (1.2+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 22 Jan 2017 14:42:22 -0800

python-llfuse (1.1.1+dfsg-7) unstable; urgency=medium

  * Fix syntax error introduced with new Debian patch in -6.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sun, 22 Jan 2017 09:54:54 -0800

python-llfuse (1.1.1+dfsg-6) unstable; urgency=medium

  * Ignore exceptions during interpreter shutdown

    These can most likely be ignored in general. In the specific
    case that we are addressing with this, they also seem to be
    caused by a bug in Python. Closes: #851724.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 21 Jan 2017 16:36:43 -0800

python-llfuse (1.1.1+dfsg-5) unstable; urgency=medium

  * Added missing python-pytest-catchlog dependency for tests

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 02 Jan 2017 20:17:51 -0800

python-llfuse (1.1.1+dfsg-4) unstable; urgency=medium

  * Added missing python3-pytest-catchlog dependency for tests

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 07 Oct 2016 20:46:10 -0700

python-llfuse (1.1.1+dfsg-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Nikolaus Rath ]
  * Don't use pytest.skip at module level. Closes: #837254.

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 23 Sep 2016 20:41:07 -0700

python-llfuse (1.1.1+dfsg-2) unstable; urgency=medium

  * Added missing pytest-catchlog build dependency
  * Fixup 0004-Backport-properties-to-Cython-0.23-syntax.patch

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 27 Jul 2016 11:25:48 -0700

python-llfuse (1.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 27 Jul 2016 10:20:40 -0700

python-llfuse (1.0+dfsg-2) unstable; urgency=medium

  * Cherry picked ns-resolution support for kFreeBSD

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 10 Mar 2016 09:13:08 -0800

python-llfuse (1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 08 Mar 2016 09:04:29 -0800

python-llfuse (0.43+dfsg-3) unstable; urgency=medium

  * Skip extended attribute tests under kFreeBSD.
  * Bump standards version to 3.9.7, no changes required.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 07 Mar 2016 13:23:53 -0800

python-llfuse (0.43+dfsg-2) unstable; urgency=medium

  * Added Breaks: borgbackup.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 25 Feb 2016 09:42:48 -0800

python-llfuse (0.43+dfsg-1) unstable; urgency=medium

  * Updated URL in copyright file.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 23 Feb 2016 16:10:05 -0800

python-llfuse (0.41.1+dfsg-4) unstable; urgency=medium

  * Added patches/mips_dev_t.diff to work around bug in mips/mipsel libc
    (cf. https://sourceware.org/bugzilla/show_bug.cgi?id=17786).
    Closes: #635197.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 16 Sep 2015 13:59:11 -0700

python-llfuse (0.41.1+dfsg-3) unstable; urgency=medium

  * Bumped Cython dependency to >= 0.21.1. Older versions don't have
    posix/time.pxi.
  * Added patches/setattr_compat.diff to restore full backwards
    compatibility with version 0.40 (some applications were relying
    on undocumented behavior were broken by the update to 0.41.1).

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 10 Sep 2015 14:09:16 -0700

python-llfuse (0.41.1+dfsg-1) unstable; urgency=medium

  * Added test suite.
  * 'nostrip' build option is now honored.
  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 22 Aug 2015 19:34:48 -0700

python-llfuse (0.41+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Use Python 3 versions of Cython and Sphinx.
  * Dropped build dependency on cython3-dbg (fixed upstream).

 -- Nikolaus Rath <Nikolaus@rath.org>  Fri, 21 Aug 2015 08:52:21 -0700

python-llfuse (0.40+dfsg-2) unstable; urgency=medium

  * Correctly handle symlink-to-directory transition of
    /usr/share/doc/{python,python3}-llfuse-dbg when upgrading from jessie.
    Closes: #788161.
  * Add versioned Breaks and Conflicts to -dbg packages to avoid
    upgrade problems due to moved file. Closes: #781652.
  * Put debugging symbols for regular interpreter into -dbg
    package again. Closes: #781719.
  * Bumped Standards-Version to 3.9.6 (no changes needed).
  * Added missing build-depends on cython3 and cython-dbg.
    Closes: #794056.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 29 Jul 2015 20:49:49 -0700

python-llfuse (0.40+dfsg-1) unstable; urgency=medium

  * Updated watch file to use pypi, and validate pgp signature.
  * Remove minified javascript files from upstream source.
  * Switched package build system to pybuild.
  * Updated project URL.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 10 Jul 2014 21:34:34 -0700

python-llfuse (0.40-2) unstable; urgency=low

  * Some cosmetic fixes to debian/
  * Bumped standards version to 3.9.5, no other changes required.
  * Added force_xattr_api.diff to support compilation under GNU/kFreeBSD.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 27 Nov 2013 20:19:13 -0800

python-llfuse (0.40-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 26 Nov 2013 21:59:10 -0800

python-llfuse (0.39-1) unstable; urgency=low

  [ Nikolaus Rath ]
  * Bumped standards version to 3.9.4, no other changes required.
  * Bumped debhelper compatibility level to 9 to get support for
    dpkg-buildflags.
  * Added lintian override for hardening-no-fortify-functions,
    this is a false positive.
  * Build depend on newer Cython (> 0.16).
  * New upstream release.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 11 May 2013 12:33:34 -0700

python-llfuse (0.37.1-2) unstable; urgency=low

  * Fix build failure, only call dh_sphinxdoc when building
    python-llfuse-doc package.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 22 Dec 2011 22:37:26 -0500

python-llfuse (0.37.1-1) unstable; urgency=low

  * New upstream release.

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 10 Dec 2011 20:57:38 -0500

python-llfuse (0.36-2) unstable; urgency=low

  * Use dh_sphinxdoc. Closes: #637393.

 -- Nikolaus Rath <Nikolaus@rath.org>  Mon, 24 Oct 2011 19:36:59 -0400

python-llfuse (0.36-1) unstable; urgency=low

  * New upstream release.
  * Depend on Cython > 0.15.1, previous versions generated segfaulting
    code.
  * Breaks S3QL < 1.2, API changed in non-backwards compatible way.
    (python-llfuse is not in any stable release, and S3QL is the
    only reverse dependency, so a new package name does not seem
    justified).
  * Update format of copyright file.
  * Fixed argument parsing under Python 3.x
  * Do correct typecasting of mode_t constants. Fix introduces
    build dependency on Cython 0.15 (Closes: #635196).
  * Use underscore.js from libjs-underscore rather than shipping
    our own version.
  * Added correct copyright information for files in doc/html/_static.
  * Thanks to Jakub Wilk for his packaging review.

 -- Nikolaus Rath <Nikolaus@rath.org>  Tue, 20 Sep 2011 22:16:17 -0400

python-llfuse (0.33-1) unstable; urgency=low

  * New upstream release.
  * Build extension before generating documentation, so that
    autogenerated documentation is no longer empty. Closes: 631871
  * Ship cached python intersphinx file in debian/, so that it
    does not need to be downloaded at build time.

 -- Nikolaus Rath <Nikolaus@rath.org>  Wed, 06 Jul 2011 09:32:38 -0400

python-llfuse (0.32-2) unstable; urgency=low

  * Created separate -doc package for documentation. Closes: 630632
  * Regenerate documentation in debian/rules. Closes: 630605

 -- Nikolaus Rath <Nikolaus@rath.org>  Sat, 25 Jun 2011 13:01:03 -0400

python-llfuse (0.32-1) unstable; urgency=low

  * First official debian release. Closes: 626658
  * Breaks and Replaces s3ql <= 0.28, this package isn't in the official
    debian package but was provided by upstream over various channels (LLFUSE
    was factored out of S3QL in version 0.29).
  * Rebuilding of HTML documentation requires (yet unreleased) Sphinx version
    1.1 or resolution of wishlist bug #63040, therefore we do not rebuild the
    documentation in debian/rules but use the HTML files included in the
    upstream tarball.

 -- Nikolaus Rath <Nikolaus@rath.org>  Thu, 12 May 2011 10:19:11 -0400
